VST 3 SDK: ClassInfo Class Reference
Author: Steinberg

VST 3 SDK VST 3.7 SDK for developing VST plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Classes | Public Types | Public Member Functions | List of all members
ClassInfo Class Reference

`#include <module.h>`

## Classes
struct | Data

## Public Types
using | SubCategories = std::vector< std::string >
using | PClassInfo = Steinberg::PClassInfo
using | PClassInfo2 = Steinberg::PClassInfo2
using | PClassInfoW = Steinberg::PClassInfoW

## Public Member Functions
| ClassInfo () noexcept
| ClassInfo (const PClassInfo &info) noexcept
| ClassInfo (const PClassInfo2 &info) noexcept
| ClassInfo (const PClassInfoW &info) noexcept
| ClassInfo (const ClassInfo &)=default
ClassInfo & | operator= (const ClassInfo &)=default
| ClassInfo (ClassInfo &&)=default
ClassInfo & | operator= (ClassInfo &&)=default
const UID & | ID () const noexcept
int32_t | cardinality () const noexcept
const std::string & | category () const noexcept
const std::string & | name () const noexcept
const std::string & | vendor () const noexcept
const std::string & | version () const noexcept
const std::string & | sdkVersion () const noexcept
const SubCategories & | subCategories () const noexcept
std::string | subCategoriesString () const noexcept
Steinberg::uint32 | classFlags () const noexcept
Data & | get () noexcept

## Member Typedef Documentation

using SubCategories = std::vector<std::string>

using PClassInfo = Steinberg::PClassInfo

using PClassInfo2 = Steinberg::PClassInfo2

using PClassInfoW = Steinberg::PClassInfoW

## Constructor & Destructor Documentation

ClassInfo | ( |  | ) |
| inlinenoexcept

ClassInfo | ( | const PClassInfo & | info | ) |
| explicitnoexcept

ClassInfo | ( | const PClassInfo2 & | info | ) |
| explicitnoexcept

ClassInfo | ( | const PClassInfoW & | info | ) |
| explicitnoexcept

ClassInfo | ( | const ClassInfo & |  | ) |
| default

ClassInfo | ( | ClassInfo && |  | ) |
| default

## Member Function Documentation

ClassInfo& operator= | ( | const ClassInfo & |  | ) |
| default

ClassInfo& operator= | ( | ClassInfo && |  | ) |
| default

const UID & ID | ( |  | ) | const
| noexcept

int32_t cardinality | ( |  | ) | const
| noexcept

const std::string & category | ( |  | ) | const
| noexcept

const std::string & name | ( |  | ) | const
| noexcept

const std::string & vendor | ( |  | ) | const
| noexcept

const std::string & version | ( |  | ) | const
| noexcept

const std::string & sdkVersion | ( |  | ) | const
| noexcept

const ClassInfo::SubCategories & subCategories | ( |  | ) | const
| noexcept

std::string subCategoriesString | ( |  | ) | const
| noexcept

Steinberg::uint32 classFlags | ( |  | ) | const
| noexcept

Data& get | ( |  | ) |
| inlinenoexcept

Empty

Copyright ©2023 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.